package com.ss.android.ugc.aweme.main.assems.tabs;

import X.C4519EiJ;
import X.C4794Emk;
import X.C4795Eml;
import X.C4841EnV;
import X.C4847Enb;
import X.C4849End;
import X.C4850Ene;
import X.M12;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.bytedance.tiktok.homepage.mainfragment.TopTabProtocol;
import com.ss.android.ugc.aweme.TabFragmentNode;
import java.util.Objects;
import kotlin.h.b.n;

public final class TopTabNode extends TabFragmentNode implements C4850Ene {
    public final TopTabProtocol LIZIZ;
    public final Context LIZJ;

    static {
        Covode.recordClassIndex(91705);
    }

    public final int LIZ() {
        return this.LIZIZ.LIZLLL();
    }

    public final C4795Eml LIZIZ() {
        return this.LIZIZ.LJ();
    }

    public final void LIZLLL() {
        this.LIZIZ.LJIIIZ();
    }

    public final String LJ() {
        return this.LIZIZ.LIZIZ();
    }

    public final Class<? extends Fragment> LJI() {
        return this.LIZIZ.LIZJ();
    }

    public final void LJIIIZ() {
        this.LIZIZ.LJIIJ();
    }

    public final String cC_() {
        return this.LIZIZ.LIZ();
    }

    public final Bundle LJII() {
        return this.LIZIZ.LIZ(this.LIZJ);
    }

    public final String ap_() {
        return this.LIZIZ.LIZIZ(this.LIZJ);
    }

    public final int hashCode() {
        return this.LIZIZ.LIZIZ().hashCode();
    }

    public final View LIZ(C4519EiJ eiJ) {
        M12.LIZ(eiJ);
        C4847Enb LJI = this.LIZIZ.LJI();
        C4794Emk emk = new C4794Emk(this.LIZJ, this.LIZIZ.LIZIZ(), ap_());
        M12.LIZ(eiJ, emk);
        C4849End end = LJI.LIZ;
        if (end == null) {
            end = LJI.LIZ(eiJ, emk);
            LJI.LIZ = end;
            C4841EnV LIZ = LJI.LIZ();
            if (LIZ != null) {
                LIZ.LIZ(end.getView(), emk);
            }
        }
        return end.getView();
    }

    public final boolean equals(Object obj) {
        Class<?> cls;
        if (this == obj) {
            return true;
        }
        Class<?> cls2 = getClass();
        if (obj != null) {
            cls = obj.getClass();
        } else {
            cls = null;
        }
        if (!n.LIZ(cls2, cls)) {
            return false;
        }
        Objects.requireNonNull(obj, "null cannot be cast to non-null type com.ss.android.ugc.aweme.main.assems.tabs.TopTabNode");
        if (!TextUtils.equals(this.LIZIZ.LIZIZ(), ((TopTabNode) obj).LIZIZ.LIZIZ())) {
            return false;
        }
        return true;
    }

    public TopTabNode(Context context, TopTabProtocol topTabProtocol) {
        M12.LIZ(context, topTabProtocol);
        this.LIZJ = context;
        this.LIZIZ = topTabProtocol;
        topTabProtocol.LIZLLL(context);
    }
}
